My Project: StencilTableFactory Class Reference

| My Project

Static Public Member Functions | List of all members
StencilTableFactory Class Reference

Stencil table factory class wrapping the template for compatibility. More...

`#include <stencilTableFactory.h>`

Inheritance diagram for StencilTableFactory:

## Static Public Member Functions
static StencilTable const * | Create (TopologyRefiner const &refiner, Options options=Options())
static StencilTable const * | Create (int numTables, StencilTable const **tables)
static StencilTable const * | AppendLocalPointStencilTable (TopologyRefiner const &refiner, StencilTable const *baseStencilTable, StencilTable const *localPointStencilTable, bool factorize=true)
static StencilTable const * | AppendLocalPointStencilTableVarying (TopologyRefiner const &refiner, StencilTable const *baseStencilTable, StencilTable const *localPointStencilTable, bool factorize=true)
static StencilTable const * | AppendLocalPointStencilTableFaceVarying (TopologyRefiner const &refiner, StencilTable const *baseStencilTable, StencilTable const *localPointStencilTable, int channel=0, bool factorize=true)
Static Public Member Functions inherited from StencilTableFactoryReal< float >
static StencilTableReal< float > const * | Create (TopologyRefiner const &refiner, Options options=Options())
| Instantiates StencilTable from TopologyRefiner that have been refined uniformly or adaptively. More...
static StencilTableReal< float > const * | Create (int numTables, StencilTableReal< float > const **tables)
| Instantiates StencilTable by concatenating an array of existing stencil tables. More...
static StencilTableReal< float > const * | AppendLocalPointStencilTable (TopologyRefiner const &refiner, StencilTableReal< float > const *baseStencilTable, StencilTableReal< float > const *localPointStencilTable, bool factorize=true)
| Utility function for stencil splicing for local point stencils. More...
static StencilTableReal< float > const * | AppendLocalPointStencilTableVarying (TopologyRefiner const &refiner, StencilTableReal< float > const *baseStencilTable, StencilTableReal< float > const *localPointStencilTable, bool factorize=true)
| Utility function for stencil splicing for local point varying stencils. More...
static StencilTableReal< float > const * | AppendLocalPointStencilTableFaceVarying (TopologyRefiner const &refiner, StencilTableReal< float > const *baseStencilTable, StencilTableReal< float > const *localPointStencilTable, int channel=0, bool factorize=true)
| Utility function for stencil splicing for local point face-varying stencils. More...

## Additional Inherited Members
Public Types inherited from StencilTableFactoryReal< float >
enum | Mode

## Detailed Description

Stencil table factory class wrapping the template for compatibility.

Definition at line 287 of file stencilTableFactory.h.

## Member Function Documentation

## ◆ AppendLocalPointStencilTable()

static StencilTable const* AppendLocalPointStencilTable | ( | TopologyRefiner const & | refiner,
|  | StencilTable const * | baseStencilTable,
|  | StencilTable const * | localPointStencilTable,
|  | bool | factorize = `true`
| ) |  |
| inlinestatic

Definition at line 308 of file stencilTableFactory.h.

## ◆ AppendLocalPointStencilTableFaceVarying()

static StencilTable const* AppendLocalPointStencilTableFaceVarying | ( | TopologyRefiner const & | refiner,
|  | StencilTable const * | baseStencilTable,
|  | StencilTable const * | localPointStencilTable,
|  | int | channel = `0`,
|  | bool | factorize = `true`
| ) |  |
| inlinestatic

Definition at line 334 of file stencilTableFactory.h.

## ◆ AppendLocalPointStencilTableVarying()

static StencilTable const* AppendLocalPointStencilTableVarying | ( | TopologyRefiner const & | refiner,
|  | StencilTable const * | baseStencilTable,
|  | StencilTable const * | localPointStencilTable,
|  | bool | factorize = `true`
| ) |  |
| inlinestatic

Definition at line 321 of file stencilTableFactory.h.

## ◆ Create() [1/2]

static StencilTable const* Create | ( | TopologyRefiner const & | refiner,
|  | Options | options = `Options()`
| ) |  |
| inlinestatic

Definition at line 293 of file stencilTableFactory.h.

## ◆ Create() [2/2]

static StencilTable const* Create | ( | int | numTables,
|  | StencilTable const ** | tables
| ) |  |
| inlinestatic

Definition at line 300 of file stencilTableFactory.h.

The documentation for this class was generated from the following file:

- opensubdiv/far/stencilTableFactory.h